Skip to main content
POST
/
wallet
/
virtual-accounts
/
generate
/
static
Generate Static Virtual Account
curl --request POST \
  --url https://api.rolla.xyz/api/v1/external/wallet/virtual-accounts/generate/static \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '{}'
{
  "status": 201,
  "success": true,
  "message": "Static virtual account generated successfully",
  "virtualAccount": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "active",
    "virtual_account_type": "static",
    "currency_type": "fiat",
    "bank_name": "VFD MFB",
    "account_number": "1234567890",
    "account_name": "Rolla / Your Business Name"
  }
}
Generate a permanent static NGN virtual account for your business. Unlike dynamic accounts, static accounts don’t expire and are intended for regular incoming payments.

Example Request

curl -X POST "https://api.rolla.xyz/api/v1/external/wallet/virtual-accounts/generate/static" \
  -H "X-API-Key: your_api_key_here"

Request Body

No request body required.

Example Response

{
  "status": 201,
  "success": true,
  "message": "Static virtual account generated successfully",
  "data": {
    "virtualAccount": {
      "id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
      "status": "active",
      "virtual_account_type": "static",
      "currency_type": "fiat",
      "bank_name": "VFD MFB",
      "account_number": "0987654321",
      "account_name": "Rolla / Your Business Name"
    }
  }
}
Only one static virtual account can exist per business. This endpoint will return an error if one already exists. Use the Get Virtual Accounts endpoint to check first.
Your business KYB must be approved before a static virtual account can be generated. Account details are automatically derived from your KYB application.

Authorizations

X-API-Key
string
header
required

Your Rolla API key

Body

application/json

The body is of type object.

Response

Static virtual account generated successfully

status
integer
Example:

201

success
boolean
Example:

true

message
string
Example:

"Static virtual account generated successfully"

virtualAccount
object